org.wildfly.swarm.config.security.security_domain.authentication

## Class LoginModuleStack<T extends LoginModuleStack<T>>

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap
    - - org.wildfly.swarm.config.security.security_domain.authentication.LoginModuleStack<T>

- All Implemented Interfaces:
    Serializable, Cloneable, Map

      public class LoginModuleStack<T extends LoginModuleStack<T>>
      extends HashMap

  List of "named" login modules that are used by jaspi authentication modules.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `LoginModuleStack.LoginModuleStackResources` Child mutators for LoginModuleStack

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LoginModuleStack(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `getKey()`
    `T` | `loginModule(LoginModule value)` Add the LoginModule object to the list of subresources
    `T` | `loginModule(LoginModuleSupplier supplier)` Install a supplied LoginModule object to the list of subresources
    `T` | `loginModule(String childKey)` Create and configure a LoginModule object to the list of subresources
    `T` | `loginModule(String childKey, LoginModuleConsumer consumer)` Create and configure a LoginModule object to the list of subresources
    `T` | `loginModules(List<LoginModule> value)` Add all LoginModule objects to this subresource
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `LoginModuleStack.LoginModuleStackResources` | `subresources()`

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### LoginModuleStack

          public LoginModuleStack(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### subresources

          public LoginModuleStack.LoginModuleStackResources subresources()

    - #### loginModules

          public T loginModules(List<LoginModule> value)

      Add all LoginModule objects to this subresource
      Parameters:
        `value` - List of LoginModule objects.
      Returns:
        this

    - #### loginModule

          public T loginModule(LoginModule value)

      Add the LoginModule object to the list of subresources
      Parameters:
        `value` - The LoginModule to add
      Returns:
        this

    - #### loginModule

          public T loginModule(String childKey,
                               LoginModuleConsumer consumer)

      Create and configure a LoginModule object to the list of subresources
      Parameters:
        `key` - The key for the LoginModule resource
        `config` - The LoginModuleConsumer to use
      Returns:
        this

    - #### loginModule

          public T loginModule(String childKey)

      Create and configure a LoginModule object to the list of subresources
      Parameters:
        `key` - The key for the LoginModule resource
      Returns:
        this

    - #### loginModule

          public T loginModule(LoginModuleSupplier supplier)

      Install a supplied LoginModule object to the list of subresources

Copyright © 2017 JBoss by Red Hat. All rights reserved.